customField.updateSelectableValues

Update the selectable values for a custom field

This endpoint merges the provided selectable values with the existing values for a custom field.

Merge behavior:

  • New values (values not present in the existing values) are added to the field
  • Existing values (matching by value field) have their label updated and isArchived status set from the request
  • Omitted values (existing values not included in the request) are marked as archived
  • Metadata such as substitution tokens are preserved for existing values

The isArchived field defaults to false if not provided.

Requires the hiringProcessMetadataWrite permission.

Body Params
uuid
required

The id of the custom field to update

selectableValues
array of objects
required

An array of selectable values to merge with the existing values. Only label, value, and optionally isArchived should be provided.

selectableValues*
Response

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json